<?php if (php_sapi_name() != "cli") { ?>
<!doctype html>
<html>
<head>
	<meta charset="utf-8">
	<title>zomato cron</title>
</head>
<body>
<pre>
<?php
	if ($_GET['key'] != "heslo") return;
}

require_once "phpQuery.php";
require_once "Locations.php";


function fetch_url($url, $cache = false)
{
	if ($cache && file_exists("cache/".md5($url))) return file_get_contents("cache/".md5($url));

	$agent = 'Mozilla/5.0 (Windows NT 6.3; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/39.0.2171.95 Safari/537.36';

	$ch = curl_init();
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
	curl_setopt($ch, CURLOPT_VERBOSE, true);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
	curl_setopt($ch, CURLOPT_USERAGENT, $agent);
	curl_setopt($ch, CURLOPT_URL,$url);
	$result=curl_exec($ch);
	curl_close($ch);

	if ($cache)
	{
		@mkdir("cache");
		file_put_contents("cache/".md5($url), $result);
	}
	return $result;
}


function str_match($regex, $string, $which = 1)
{
	if (preg_match($regex, $string, $m)) {
		return $m[$which];
	}

	return null;
}



function processPage(&$results)
{
	global $locations;

	foreach(pq('#search-results-container ol > li') as $rest)
	{
		$r = pq($rest);
		$r->find(".search-collection-details")->remove();
		$r->find(".search_grid_right")->remove();
		$r->find(".search-page-text")->remove();
		$r->find(".search_result_links")->remove();
		$r->find(".clear")->remove();
		$addr = $r->find(".search-result-address")->attr("title");
		
		$results[] = array(
			'menuHtml' => str_replace(array("> ", " <", "› ", "style="), array(">", "<", "", "data-style="), preg_replace("/[\n\t ]+/", " ", $r->html())),
			'loc' => $addr,
		);

		$locations->getCoords($addr);
	}
}


set_time_limit(300);

$locations = new Locations();
$cache = false;

echo "downloading page: 1\n";
$html = fetch_url("https://www.zomato.com/sk/bratislava/re%C5%A1taur%C3%A1cie/denne-menu", $cache);
$html = preg_replace("/ +/", " ", $html);
phpQuery::newDocumentHTML($html);

$pages = str_match('/([0-9]+)$/', trim(pq(".pagination-number")->text()), 1) * 1;

$results = [];

processPage($results);

for($i = 2; $i <= $pages; $i++)
{
	echo "downloading page: $i\n";
	set_time_limit(300);
	phpQuery::unloadDocuments();
	$html = fetch_url("https://www.zomato.com/sk/bratislava/re%C5%A1taur%C3%A1cie/denne-menu?page=$i", $cache);
	$html = preg_replace("/ +/", " ", $html);
	phpQuery::newDocumentHTML($html);
	processPage($results);
}

echo "done\n";

file_put_contents("data_ba.json", json_encode($results));

$locations->retrieveMissing();